{{- if .Values.rbac.enabled }}
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  labels:
    app: {{ template "testapi.name" . }}
  name: {{ template "testapi.fullname" . }}
  namespace: {{ .Values.namespace }}
subjects:
- kind: ServiceAccount
  name: {{ template "testapi.serviceAccountName" . }}
roleRef:
  kind: Role
  apiGroup: rbac.authorization.k8s.io
  name: {{ template "testapi.fullname" . }}
{{- end }}
